Skip to main content
GET
Your wallet statement

Authorizations

X-API-Key
string
header
required

On the example server, any key that starts with rpk_mock_, e.g. rpk_mock_yourname. Never your real key.

Query Parameters

from
string<date-time>

ISO-8601 instant with a zone. At or after this instant.

to
string<date-time>

ISO-8601 instant with a zone. At or before this instant.

direction
enum<string>

in | out. in: top-ups. out: payments.

Available options:
in,
out
status
enum<string>

completed | pending | in_review. Only rows in this status.

Available options:
completed,
pending,
in_review
type
enum<string>

top_up | payout_held | payout_settled | payout_released | adjustment. Only movements of this type.

Available options:
top_up,
payout_held,
payout_settled,
payout_released,
adjustment
transaction_id
string

string. Only the movements of the payment with this transaction id.

reference_id
string

po_ or dep_ id. Only the rows whose reference.id is this: a payout's movements, or a deposit's row — pending or credited.

limit
integer

integer 1–100. Page size. Default 50.

cursor
string

string. next_cursor from the previous page. Keep the same filters.

Response

OK

data
object[]
next_cursor
unknown